'use strict';
var assert = require('power-assert');
var fs = require('fs');
var dtsgenerator = require('../src/index');
describe('file schema test', function () {
    it('news schema', function () {
        var schema = fs.readFileSync('./schema/news.json', { encoding: 'utf-8' });
        var actual = dtsgenerator([schema], 'I');
        var expected = fs.readFileSync('./test/expected_file/news.d.ts', { encoding: 'utf-8' });
        assert.equal(assert._expr(assert._capt(actual, 'arguments/0'), {
            content: 'assert.equal(actual, expected, actual)',
            filepath: 'test/file_schema_test.js',
            line: 10
        }), assert._expr(assert._capt(expected, 'arguments/1'), {
            content: 'assert.equal(actual, expected, actual)',
            filepath: 'test/file_schema_test.js',
            line: 10
        }), actual);
    });
    it('JSON Schemas schema', function () {
        var schema = fs.readFileSync('./schema/schema', { encoding: 'utf-8' });
        var actual = dtsgenerator([schema]);
        var expected = fs.readFileSync('./test/expected_file/schema.d.ts', { encoding: 'utf-8' });
        assert.equal(assert._expr(assert._capt(actual, 'arguments/0'), {
            content: 'assert.equal(actual, expected, actual)',
            filepath: 'test/file_schema_test.js',
            line: 16
        }), assert._expr(assert._capt(expected, 'arguments/1'), {
            content: 'assert.equal(actual, expected, actual)',
            filepath: 'test/file_schema_test.js',
            line: 16
        }), actual);
    });
    it('related two schema', function () {
        var actual = dtsgenerator([
            fs.readFileSync('./schema/apibase.json', { encoding: 'utf-8' }),
            fs.readFileSync('./schema/apimeta.json', { encoding: 'utf-8' })
        ]);
        var expected = fs.readFileSync('./test/expected_file/apimeta.d.ts', { encoding: 'utf-8' });
        assert.equal(assert._expr(assert._capt(actual, 'arguments/0'), {
            content: 'assert.equal(actual, expected, actual)',
            filepath: 'test/file_schema_test.js',
            line: 24
        }), assert._expr(assert._capt(expected, 'arguments/1'), {
            content: 'assert.equal(actual, expected, actual)',
            filepath: 'test/file_schema_test.js',
            line: 24
        }), actual);
    });
});
//# sourceMappingURL=file_schema_test.js.map
